<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up()
    {
        Schema::create('House_Type', function (Blueprint $table) {
            $table->id('HTY_Id');
            $table->integer('House_Code')->nullable();
            $table->string('HOUSTYPE', 100);
            $table->integer('Flat_Rate');
            $table->integer('Std_Rate');
            $table->integer('Eco_Rate');
            $table->integer('Mkt_Rate');
            $table->integer('Muni_Tax');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    public function down()
    {
        Schema::dropIfExists('House_Type');
    }
};
